FrameWidget Class Reference

`#include <FrameWidget.h>`

Inheritance diagram for FrameWidget:

## Public Types

enum | AttachPolicy { Page, Scales }
| The attach to policy. More...
enum | FrameStyle { None = 0, Line = 1, Shadow = 2 }
| The kinds of frame a FrameWidget can draw around. More...
enum | Unit { Inch, Millimeter, Centimeter, Point, Pixel, Scale }
| Length units. More...

## Signals

void | changedCoordinates (const QRectF &)
void | showDialog ()
void | showMenu ()

## Public Member Functions

int | angle ()
AttachPolicy | attachPolicy ()
QColor | backgroundColor ()
double | bottom ()
QRectF | boundingRect () const
| Return bounding rectangle in plot coordinates. More...
QBrush | brush ()
QColor | frameColor ()
Qt::PenStyle | frameLineStyle ()
QPen | framePen ()
int | frameStyle ()
| FrameWidget (Graph *)
double | frameWidth ()
bool | isOnTop ()
void | mousePressEvent (QMouseEvent *)
void | move (const QPoint &pos)
Graph * | plot ()
virtual void | print (QPainter *p, const QwtScaleMap map[QwtPlot::axisCnt])
void | resetCoordinates ()
void | resetOrigin ()
double | right ()
virtual QString | saveToString ()
void | setAngle (int ang)
void | setAttachPolicy (AttachPolicy attachTo)
void | setBackgroundColor (const QColor &c)
void | setBrush (const QBrush &b)
void | setCoordinates (double left, double top, double right, double bottom)
| Set position (xValue() and yValue()), right and bottom values giving everything in plot coordinates. More...
void | setFrameColor (const QColor &c)
void | setFrameLineStyle (const Qt::PenStyle &s)
void | setFramePen (const QPen &p)
void | setFrameStyle (int style)
void | setFrameWidth (double w)
void | setOnTop (bool on=true)
void | setOrigin (int x, int y)
| Sets the position of the top left corner in paint coordinates. More...
void | setOriginCoord (double x, double y)
| Sets the position of the top left corner in axis coordinates. More...
void | setRect (int x, int y, int w, int h)
| Set geometry, giving everything in paint coordinates. More...
void | setSize (int w, int h)
| Set size in paint coordinates (pixels). More...
void | setSize (const QSize &newSize)
| Set size in paint coordinates. More...
void | showContextMenu ()
void | showPropertiesDialog ()
virtual void | updateCoordinates ()
double | xValue ()
| Returns the x axis coordiante of the top left corner. More...
double | yValue ()
| Returns the y axis coordiante of the top left corner. More...

## Static Public Member Functions

static double | heightIn (QWidget *w, Unit unit)
static void | setRect (QWidget *, double x, double y, double w, double h, Unit unit=Pixel)
| Set geometry of a widget in arbitrary units. More...
static double | widthIn (QWidget *w, Unit unit)
static double | xIn (QWidget *w, Unit unit)
static double | yIn (QWidget *w, Unit unit)

## Protected Member Functions

double | calculateBottomValue ()
| Returns the y axis coordinate of the bottom right corner based on the pixel value. More...
double | calculateRightValue ()
| Returns the x axis coordinate of the bottom right corner based on the pixel value. More...
double | calculateXValue ()
| Returns the x axis coordinate of the top left corner based on the pixel value. More...
double | calculateYValue ()
| Returns the y axis coordinate of the top left corner based on the pixel value. More...
void | contextMenuEvent (QContextMenuEvent *)
virtual void | drawFrame (QPainter *p, const QRect &rect)
virtual void | paintEvent (QPaintEvent *e)

## Protected Attributes

int | d_angle
| Rotation angle: not implemented yet. More...
AttachPolicy | d_attach_policy
| The attach to policy. More...
QBrush | d_brush
| Background brush. More...
int | d_frame
| Frame type. More...
QPen | d_frame_pen
| Pen used to draw the frame. More...
bool | d_on_top
Graph * | d_plot
| Parent plot. More...
int | d_shadow_width
| Frame width in pixels. More...
double | d_x
| X axis coordinate of the top left corner. More...
double | d_x_right
| The right side position in scale coordinates. More...
double | d_y
| Y axis coordinate of the top left corner. More...
double | d_y_bottom
| The bottom side position in scale coordinates. More...

## Member Enumeration Documentation

## AttachPolicy

enum FrameWidget::AttachPolicy

The attach to policy.

Enumerator
Page |
Scales |

## FrameStyle

enum FrameWidget::FrameStyle

The kinds of frame a FrameWidget can draw around.

Enumerator
None |
Line |
Shadow |

## Unit

enum FrameWidget::Unit

Length units.

Enumerator
Inch |
Millimeter |
Centimeter |
Point |
Pixel |
Scale |

## Constructor & Destructor Documentation

## FrameWidget()

FrameWidget::FrameWidget | ( | Graph * | plot | ) |

References d_plot, move(), Graph::multiLayer(), Graph::raiseEnrichements(), showDialog(), and showMenu().

## Member Function Documentation

## angle()

int FrameWidget::angle | ( |  | ) |

inline

References d_angle.

## attachPolicy()

AttachPolicy FrameWidget::attachPolicy | ( |  | ) |

inline

References d_attach_policy.

Referenced by Graph::add(), LegendWidget::clone(), Graph::resizeEvent(), EnrichmentDialog::setWidget(), and Graph::updateMarkersBoundingRect().

## backgroundColor()

QColor FrameWidget::backgroundColor | ( |  | ) |

inline

Referenced by EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), EllipseWidget::restore(), RectangleWidget::restore(), LegendWidget::restore(), PieLabel::restore(), RectangleWidget::saveToString(), EllipseWidget::saveToString(), LegendWidget::saveToString(), PieLabel::saveToString(), and EnrichmentDialog::setWidget().

## bottom()

double FrameWidget::bottom | ( |  | ) |

inline

References d_y_bottom, heightIn(), Pixel, setRect(), widthIn(), xIn(), and yIn().

Referenced by Graph::addImage(), RectangleWidget::clone(), EllipseWidget::clone(), ImageWidget::clone(), heightIn(), ImageWidget::print(), print(), EllipseWidget::restore(), RectangleWidget::restore(), TexWidget::restore(), ImageWidget::restore(), setCoordinates(), and setOrigin().

## boundingRect()

QRectF FrameWidget::boundingRect | ( |  | ) | const

Return bounding rectangle in plot coordinates.

References d_x, d_x_right, d_y, and d_y_bottom.

Referenced by setOrigin(), LegendWidget::textSize(), RectangleWidget::updateCoordinates(), and ApplicationWindow::zoomRectanglePlot().

## brush()

QBrush FrameWidget::brush | ( |  | ) |

inline

References d_brush.

Referenced by EllipseWidget::clone(), RectangleWidget::clone(), RectangleWidget::restore(), EllipseWidget::restore(), and EnrichmentDialog::setWidget().

## calculateBottomValue()

double FrameWidget::calculateBottomValue | ( |  | ) |

protected

Returns the y axis coordinate of the bottom right corner based on the pixel value.

References MultiLayer::canvas(), d_plot, and Graph::multiLayer().

Referenced by isOnTop(), TexWidget::print(), ImageWidget::print(), print(), setFrameStyle(), setSize(), and updateCoordinates().

## calculateRightValue()

double FrameWidget::calculateRightValue | ( |  | ) |

protected

Returns the x axis coordinate of the bottom right corner based on the pixel value.

References MultiLayer::canvas(), d_plot, and Graph::multiLayer().

Referenced by isOnTop(), TexWidget::print(), ImageWidget::print(), print(), setFrameStyle(), setSize(), and updateCoordinates().

## calculateXValue()

double FrameWidget::calculateXValue | ( |  | ) |

protected

Returns the x axis coordinate of the top left corner based on the pixel value.

References MultiLayer::canvas(), d_plot, and Graph::multiLayer().

Referenced by isOnTop(), TexWidget::print(), ImageWidget::print(), LegendWidget::print(), print(), and updateCoordinates().

## calculateYValue()

double FrameWidget::calculateYValue | ( |  | ) |

protected

Returns the y axis coordinate of the top left corner based on the pixel value.

References MultiLayer::canvas(), d_plot, and Graph::multiLayer().

Referenced by isOnTop(), TexWidget::print(), ImageWidget::print(), LegendWidget::print(), print(), and updateCoordinates().

## changedCoordinates

void FrameWidget::changedCoordinates | ( | const QRectF & |  | ) |

signal

Referenced by isOnTop(), RectangleWidget::setLinkedLayer(), and RectangleWidget::updateCoordinates().

## contextMenuEvent()

void FrameWidget::contextMenuEvent | ( | QContextMenuEvent * |  | ) |

inline protected

## drawFrame()

void FrameWidget::drawFrame | ( | QPainter * | p,
|  | const QRect & | rect
| ) |  |

protected virtual

Reimplemented in EllipseWidget.

References d_brush, d_frame, d_frame_pen, d_shadow_width, Line, plot(), and Shadow.

Referenced by ImageWidget::draw(), isOnTop(), TexWidget::paintEvent(), LegendWidget::paintEvent(), paintEvent(), TexWidget::print(), LegendWidget::print(), and print().

## frameColor()

QColor FrameWidget::frameColor | ( |  | ) |

inline

References d_frame_pen.

Referenced by EnrichmentDialog::setWidget().

## frameLineStyle()

Qt::PenStyle FrameWidget::frameLineStyle | ( |  | ) |

inline

References d_frame_pen.

## framePen()

QPen FrameWidget::framePen | ( |  | ) |

inline

References d_frame_pen.

Referenced by EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), TexWidget::clone(), ImageWidget::clone(), PieLabel::restore(), and EnrichmentDialog::setWidget().

## frameStyle()

int FrameWidget::frameStyle | ( |  | ) |

inline

References d_frame, and setFrameStyle().

Referenced by EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), TexWidget::clone(), ImageWidget::clone(), TexWidget::restore(), ImageWidget::restore(), PieLabel::restore(), and EnrichmentDialog::setWidget().

## frameWidth()

double FrameWidget::frameWidth | ( |  | ) |

inline

References d_frame_pen.

Referenced by LegendWidget::itemsHeight(), and LegendWidget::setTeXOutput().

## heightIn()

double FrameWidget::heightIn | ( | QWidget * | w,
|  | Unit | unit
| ) |  |

static

References bottom(), Centimeter, Inch, Millimeter, Pixel, Point, Scale, and yValue().

Referenced by bottom(), EnrichmentDialog::displayCoordinates(), PlotDialog::displayCoordinates(), and PlotDialog::displayPlotCoordinates().

## isOnTop()

bool FrameWidget::isOnTop | ( |  | ) |

inline

References calculateBottomValue(), calculateRightValue(), calculateXValue(), calculateYValue(), changedCoordinates(), d_on_top, drawFrame(), mousePressEvent(), paintEvent(), setOnTop(), showDialog(), and showMenu().

Referenced by Graph::add(), SelectionMoveResizer::keyPressEvent(), Graph::print(), Graph::raiseEnrichements(), and SelectionMoveResizer::removeAll().

## mousePressEvent()

void FrameWidget::mousePressEvent | ( | QMouseEvent * |  | ) |

References Graph::activateGraph(), d_plot, Graph::deselectMarker(), and Graph::select().

Referenced by CanvasPicker::eventFilter(), and isOnTop().

## move()

void FrameWidget::move | ( | const QPoint & | pos | ) |

References updateCoordinates().

Referenced by AddWidgetTool::addEllipse(), AddWidgetTool::addEquation(), AddWidgetTool::addRectangle(), AddWidgetTool::addText(), Graph::addTimeStamp(), SelectionMoveResizer::alignTargetsBottom(), SelectionMoveResizer::alignTargetsLeft(), SelectionMoveResizer::alignTargetsRight(), SelectionMoveResizer::alignTargetsTop(), FrameWidget(), ImageWidget::ImageWidget(), Graph::insertText(), LegendWidget::LegendWidget(), SelectionMoveResizer::operateOnTargets(), ApplicationWindow::pasteSelection(), setOrigin(), setRect(), and ApplicationWindow::waterfallPlot().

## paintEvent()

void FrameWidget::paintEvent | ( | QPaintEvent * | e | ) |

protected virtual

Reimplemented in LegendWidget, ImageWidget, and TexWidget.

References drawFrame().

Referenced by isOnTop().

## plot()

Graph* FrameWidget::plot | ( |  | ) |

inline

References d_plot.

Referenced by SelectionMoveResizer::alignTargetsBottom(), SelectionMoveResizer::alignTargetsLeft(), SelectionMoveResizer::alignTargetsRight(), SelectionMoveResizer::alignTargetsTop(), drawFrame(), LegendWidget::itemsHeight(), ImageWidget::load(), SelectionMoveResizer::mousePressEvent(), SelectionMoveResizer::operateOnTargets(), ImageWidget::paintEvent(), LegendWidget::parse(), TexWidget::print(), LegendWidget::print(), RectangleWidget::setLinkedLayer(), setOnTop(), and Graph::stackingOrderEnrichmentsList().

## print()

void FrameWidget::print | ( | QPainter * | p,
|  | const QwtScaleMap | map[QwtPlot::axisCnt]
| ) |  |

virtual

Reimplemented in LegendWidget, ImageWidget, and TexWidget.

References bottom(), calculateBottomValue(), calculateRightValue(), calculateXValue(), calculateYValue(), drawFrame(), and right().

Referenced by Graph::print(), and showPropertiesDialog().

## resetCoordinates()

void FrameWidget::resetCoordinates | ( |  | ) |

inline

References d_x, d_x_right, d_y, d_y_bottom, saveToString(), setAttachPolicy(), setCoordinates(), and updateCoordinates().

Referenced by Graph::resizeEvent(), and Graph::updateMarkersBoundingRect().

## resetOrigin()

void FrameWidget::resetOrigin | ( |  | ) |

inline

References d_x, d_y, and setOriginCoord().

Referenced by Graph::resizeEvent(), Graph::scaleFonts(), and Graph::updateMarkersBoundingRect().

## right()

double FrameWidget::right | ( |  | ) |

inline

References d_x_right.

Referenced by Graph::addImage(), RectangleWidget::clone(), EllipseWidget::clone(), ImageWidget::clone(), ImageWidget::print(), print(), EllipseWidget::restore(), RectangleWidget::restore(), TexWidget::restore(), ImageWidget::restore(), setCoordinates(), setOrigin(), and widthIn().

## saveToString()

QString FrameWidget::saveToString | ( |  | ) |

virtual

Reimplemented in PieLabel, LegendWidget, ImageWidget, TexWidget, EllipseWidget, and RectangleWidget.

References d_attach_policy, d_frame, d_frame_pen, d_on_top, d_x, d_x_right, d_y, d_y_bottom, and PenStyleBox::styleIndex().

Referenced by resetCoordinates(), Graph::saveMarkers(), EllipseWidget::saveToString(), RectangleWidget::saveToString(), TexWidget::saveToString(), ImageWidget::saveToString(), LegendWidget::saveToString(), and PieLabel::saveToString().

## setAngle()

void FrameWidget::setAngle | ( | int | ang | ) |

inline

References d_angle.

## setAttachPolicy()

void FrameWidget::setAttachPolicy | ( | AttachPolicy | attachTo | ) |

References d_attach_policy.

Referenced by Graph::add(), EnrichmentDialog::apply(), LegendWidget::clone(), DataPickerTool::pasteSelectionAsLayerText(), resetCoordinates(), EllipseWidget::restore(), RectangleWidget::restore(), TexWidget::restore(), ImageWidget::restore(), and LegendWidget::restore().

## setBackgroundColor()

void FrameWidget::setBackgroundColor | ( | const QColor & | c | ) |

inline

Referenced by AddWidgetTool::addText(), EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), AddWidgetTool::eventFilter(), Graph::insertText(), Graph::newLegend(), PieLabel::PieLabel(), EllipseWidget::restore(), RectangleWidget::restore(), LegendWidget::restore(), PieLabel::restore(), EnrichmentDialog::setPatternTo(), EnrichmentDialog::setTextFormatTo(), and ApplicationWindow::zoomRectanglePlot().

## setBrush()

void FrameWidget::setBrush | ( | const QBrush & | b | ) |

inline

References d_brush.

Referenced by EllipseWidget::clone(), RectangleWidget::clone(), AddWidgetTool::eventFilter(), RectangleWidget::restore(), EllipseWidget::restore(), and EnrichmentDialog::setPatternTo().

## setCoordinates()

void FrameWidget::setCoordinates | ( | double | left,
|  | double | top,
|  | double | right,
|  | double | bottom
| ) |  |

Set position (xValue() and yValue()), right and bottom values giving everything in plot coordinates.

References bottom(), d_plot, d_x, d_x_right, d_y, d_y_bottom, and right().

Referenced by Graph::addImage(), RectangleWidget::clone(), EllipseWidget::clone(), ImageWidget::clone(), resetCoordinates(), RectangleWidget::restore(), EllipseWidget::restore(), TexWidget::restore(), ImageWidget::restore(), EnrichmentDialog::setCoordinates(), setOrigin(), and setRect().

## setFrameColor()

void FrameWidget::setFrameColor | ( | const QColor & | c | ) |

inline

References d_frame_pen.

Referenced by AddWidgetTool::addEllipse(), AddWidgetTool::addRectangle(), EllipseWidget::restore(), RectangleWidget::restore(), LegendWidget::restore(), and ApplicationWindow::zoomRectanglePlot().

## setFrameLineStyle()

void FrameWidget::setFrameLineStyle | ( | const Qt::PenStyle & | s | ) |

inline

References d_frame_pen.

Referenced by EllipseWidget::restore(), RectangleWidget::restore(), and LegendWidget::restore().

## setFramePen()

void FrameWidget::setFramePen | ( | const QPen & | p | ) |

inline

References d_frame_pen.

Referenced by AddWidgetTool::addEquation(), AddWidgetTool::addText(), EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), TexWidget::clone(), ImageWidget::clone(), AddWidgetTool::eventFilter(), TexWidget::restore(), ImageWidget::restore(), PieLabel::restore(), and EnrichmentDialog::setFrameTo().

## setFrameStyle()

void FrameWidget::setFrameStyle | ( | int | style | ) |

References calculateBottomValue(), calculateRightValue(), d_frame, d_shadow_width, d_x_right, d_y_bottom, and Shadow.

Referenced by AddWidgetTool::addEquation(), AddWidgetTool::addText(), EllipseWidget::EllipseWidget(), AddWidgetTool::eventFilter(), frameStyle(), Graph::insertText(), Graph::newLegend(), DataPickerTool::pasteSelectionAsLayerText(), PieLabel::PieLabel(), RectangleWidget::RectangleWidget(), RectangleWidget::restore(), EllipseWidget::restore(), TexWidget::restore(), ImageWidget::restore(), LegendWidget::restore(), PieLabel::restore(), and EnrichmentDialog::setFrameTo().

## setFrameWidth()

void FrameWidget::setFrameWidth | ( | double | w | ) |

inline

References d_frame_pen.

Referenced by EllipseWidget::restore(), RectangleWidget::restore(), and LegendWidget::restore().

## setOnTop()

void FrameWidget::setOnTop | ( | bool | on = `true` | ) |

References d_on_top, Graph::notifyChanges(), and plot().

Referenced by Graph::add(), isOnTop(), SelectionMoveResizer::raiseTargets(), EllipseWidget::restore(), RectangleWidget::restore(), TexWidget::restore(), ImageWidget::restore(), and LegendWidget::restore().

## setOrigin()

void FrameWidget::setOrigin | ( | int | x,
|  | int | y
| ) |  |

inline

Sets the position of the top left corner in paint coordinates.

References bottom(), boundingRect(), move(), right(), and setCoordinates().

Referenced by Graph::insertImageMarker().

## setOriginCoord()

void FrameWidget::setOriginCoord | ( | double | x,
|  | double | y
| ) |  |

Sets the position of the top left corner in axis coordinates.

References MultiLayer::canvas(), d_plot, d_x, d_y, and Graph::multiLayer().

Referenced by LegendWidget::clone(), TexWidget::clone(), PieCurve::drawDisk(), PieCurve::drawSlices(), Graph::insertText(), DataPickerTool::pasteSelectionAsLayerText(), resetOrigin(), LegendWidget::restore(), PieLabel::restore(), and yValue().

## setRect() [1/2]

void FrameWidget::setRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Set geometry, giving everything in paint coordinates.

References move().

Referenced by PlotDialog::acceptParams(), bottom(), EnrichmentDialog::setCoordinates(), setRect(), setSize(), and ApplicationWindow::zoomRectanglePlot().

## setRect() [2/2]

void FrameWidget::setRect | ( | QWidget * | widget,
|  | double | x,
|  | double | y,
|  | double | w,
|  | double | h,
|  | Unit | unit = `Pixel`
| ) |  |

static

Set geometry of a widget in arbitrary units.

References Centimeter, Inch, Millimeter, Pixel, Point, Scale, setCoordinates(), and setRect().

## setSize() [1/2]

void FrameWidget::setSize | ( | int | w,
|  | int | h
| ) |  |

inline

Set size in paint coordinates (pixels).

References setRect(), and setSize().

Referenced by AddWidgetTool::addEllipse(), AddWidgetTool::addRectangle(), TexWidget::clone(), ImageWidget::ImageWidget(), RectangleWidget::RectangleWidget(), TexWidget::setBestSize(), EnrichmentDialog::setBestSize(), TexWidget::setPixmap(), setSize(), and TexWidget::TexWidget().

## setSize() [2/2]

void FrameWidget::setSize | ( | const QSize & | newSize | ) |

Set size in paint coordinates.

References calculateBottomValue(), calculateRightValue(), d_x_right, and d_y_bottom.

## showContextMenu()

void FrameWidget::showContextMenu | ( |  | ) |

inline

References showMenu().

Referenced by SelectionMoveResizer::mousePressEvent().

## showDialog

void FrameWidget::showDialog | ( |  | ) |

signal

Referenced by FrameWidget(), isOnTop(), showPropertiesDialog(), and LegendWidget::showTextEditor().

## showMenu

void FrameWidget::showMenu | ( |  | ) |

signal

Referenced by FrameWidget(), isOnTop(), and showContextMenu().

## showPropertiesDialog()

void FrameWidget::showPropertiesDialog | ( |  | ) |

inline

References print(), and showDialog().

Referenced by AddWidgetTool::addEquation(), AddWidgetTool::addText(), SelectionMoveResizer::keyPressEvent(), and SelectionMoveResizer::mouseDoubleClickEvent().

## updateCoordinates()

void FrameWidget::updateCoordinates | ( |  | ) |

virtual

Reimplemented in RectangleWidget.

References calculateBottomValue(), calculateRightValue(), calculateXValue(), calculateYValue(), d_x, d_x_right, d_y, and d_y_bottom.

Referenced by AddWidgetTool::eventFilter(), move(), SelectionMoveResizer::operateOnTargets(), resetCoordinates(), Graph::resizeEvent(), RectangleWidget::updateCoordinates(), and Graph::updateMarkersBoundingRect().

## widthIn()

double FrameWidget::widthIn | ( | QWidget * | w,
|  | Unit | unit
| ) |  |

static

References Centimeter, Inch, Millimeter, Pixel, Point, right(), Scale, and xValue().

Referenced by bottom(), EnrichmentDialog::displayCoordinates(), PlotDialog::displayCoordinates(), and PlotDialog::displayPlotCoordinates().

## xIn()

double FrameWidget::xIn | ( | QWidget * | w,
|  | Unit | unit
| ) |  |

static

References Centimeter, Inch, Millimeter, Pixel, Point, Scale, and xValue().

Referenced by bottom(), EnrichmentDialog::displayCoordinates(), PlotDialog::displayCoordinates(), and PlotDialog::displayPlotCoordinates().

## xValue()

double FrameWidget::xValue | ( |  | ) |

inline

Returns the x axis coordiante of the top left corner.

References d_x.

Referenced by Graph::addImage(), EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), TexWidget::clone(), ImageWidget::clone(), widthIn(), and xIn().

## yIn()

double FrameWidget::yIn | ( | QWidget * | w,
|  | Unit | unit
| ) |  |

static

References Centimeter, Inch, Millimeter, Pixel, Point, Scale, and yValue().

Referenced by bottom(), EnrichmentDialog::displayCoordinates(), PlotDialog::displayCoordinates(), and PlotDialog::displayPlotCoordinates().

## yValue()

double FrameWidget::yValue | ( |  | ) |

inline

Returns the y axis coordiante of the top left corner.

References d_y, and setOriginCoord().

Referenced by Graph::addImage(), EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), TexWidget::clone(), ImageWidget::clone(), heightIn(), and yIn().

## Member Data Documentation

## d_angle

int FrameWidget::d_angle

protected

Rotation angle: not implemented yet.

Referenced by angle(), and setAngle().

## d_attach_policy

AttachPolicy FrameWidget::d_attach_policy

protected

The attach to policy.

Referenced by attachPolicy(), saveToString(), and setAttachPolicy().

## d_brush

QBrush FrameWidget::d_brush

protected

Background brush.

Referenced by brush(), EllipseWidget::drawFrame(), drawFrame(), EllipseWidget::saveToString(), RectangleWidget::saveToString(), and setBrush().

## d_frame

int FrameWidget::d_frame

protected

Frame type.

Referenced by EllipseWidget::clone(), RectangleWidget::clone(), LegendWidget::clone(), TexWidget::clone(), ImageWidget::clone(), ImageWidget::draw(), EllipseWidget::drawFrame(), drawFrame(), frameStyle(), LegendWidget::itemsHeight(), TexWidget::paintEvent(), TexWidget::print(), saveToString(), TexWidget::setBestSize(), setFrameStyle(), TexWidget::setPixmap(), and ImageWidget::setPixmap().

## d_frame_pen

QPen FrameWidget::d_frame_pen

protected

Pen used to draw the frame.

Referenced by ImageWidget::draw(), EllipseWidget::drawFrame(), drawFrame(), LegendWidget::drawText(), frameColor(), frameLineStyle(), framePen(), frameWidth(), TexWidget::paintEvent(), LegendWidget::paintEvent(), TexWidget::print(), LegendWidget::print(), saveToString(), TexWidget::setBestSize(), setFrameColor(), setFrameLineStyle(), setFramePen(), setFrameWidth(), and TexWidget::setPixmap().

## d_on_top

bool FrameWidget::d_on_top

protected

Referenced by isOnTop(), saveToString(), and setOnTop().

## d_plot

Graph* FrameWidget::d_plot

protected

Parent plot.

Referenced by calculateBottomValue(), calculateRightValue(), calculateXValue(), calculateYValue(), EllipseWidget::drawFrame(), LegendWidget::drawText(), LegendWidget::drawVector(), FrameWidget(), LegendWidget::getCurve(), mousePressEvent(), LegendWidget::parse(), plot(), setCoordinates(), setOriginCoord(), LegendWidget::showTextEditor(), and LegendWidget::symbolsMaxWidth().

## d_shadow_width

int FrameWidget::d_shadow_width

protected

Frame width in pixels.

Referenced by ImageWidget::draw(), drawFrame(), LegendWidget::itemsHeight(), setFrameStyle(), and ImageWidget::setPixmap().

## d_x

double FrameWidget::d_x

protected

X axis coordinate of the top left corner.

Referenced by boundingRect(), resetCoordinates(), resetOrigin(), saveToString(), setCoordinates(), setOriginCoord(), updateCoordinates(), and xValue().

## d_x_right

double FrameWidget::d_x_right

protected

The right side position in scale coordinates.

Referenced by boundingRect(), resetCoordinates(), right(), saveToString(), setCoordinates(), setFrameStyle(), setSize(), and updateCoordinates().

## d_y

double FrameWidget::d_y

protected

Y axis coordinate of the top left corner.

Referenced by boundingRect(), resetCoordinates(), resetOrigin(), saveToString(), setCoordinates(), setOriginCoord(), updateCoordinates(), and yValue().

## d_y_bottom

double FrameWidget::d_y_bottom

protected

The bottom side position in scale coordinates.

Referenced by bottom(), boundingRect(), resetCoordinates(), saveToString(), setCoordinates(), setFrameStyle(), setSize(), and updateCoordinates().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/FrameWidget.h
- qtiplot/src/plot2D/FrameWidget.cpp